### A free/open-source library for quantitative finance

Public Member Functions
SparseILUPreconditioner Class Reference

`#include <ql/math/matrixutilities/sparseilupreconditioner.hpp>`

List of all members.

## Public Member Functions

| SparseILUPreconditioner (const boost::numeric::ublas::compressed_matrix< Real > &A, Integer lfil=1)
const boost::numeric::ublas::compressed_matrix < Real > & | L () const
const boost::numeric::ublas::compressed_matrix < Real > & | U () const
Disposable< Array > | apply (const Array &b) const

## Detailed Description

References:

Saad, Yousef. 1996, Iterative methods for sparse linear systems, http://www-users.cs.umn.edu/~saad/books.html